On Sun, 26 Jun 2011 19:29:17 +0530
Jayesh Salvi <jayeshsa...@gmail.com> wrote:

> Therefore the code above is supposed to shear a cube along the Y axis
> i.e. in the transformed object the points will have different X
> coordinate depending upon their Y coordinate. Consequently all points
> that have same Y coordinate should experience same amount of shear.
> But this latter part is what I don't see happening. I am attaching a
> screenshot of the cube after applying the transform (seen down the
> Z-axis). I expected that the top and bottom faces of the cube should
> remain horizontal, but they get tilted during the transform. I don't
> understand why.
> 
> Any ideas?



Hello,

OK, this is probably what you need

 BRepPrimAPI_MakeBox box (100.,100.,100.);
    gp_Trsf T;
    T.SetValues(
            1, 0.5, 0, 0,
            0, 1,   0, 0,
            0, 0,   1, 0,
            Precision::Angular(),
            Precision::Confusion()
            );

    gp_GTrsf GT( T );
    BRepBuilderAPI_GTransform GTShape(box.Shape(), GT, false);
    Handle(AIS_Shape) Shape = new AIS_Shape(GTShape);
    occwidget.myAISContext->Display(Shape, NULL, NULL, false, false );



-- 
Goran Lukic <goranl...@gmail.com>

_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to